/*
 * channels.c: Channel handling
 *
 * See the main source file 'vdr.c' for copyright information and
 * how to reach the author.
 *
 * $Id: channels.c 1.46 2005/09/11 14:22:24 kls Exp $
 */

#include "channels.h"
#include <ctype.h>

int cChannel::Transponder(int Frequency, char Polarization)
{
	// some satellites have transponders at the same frequency, just with different polarization:
	switch (tolower(Polarization)) {
		case 'h': Frequency += 100000; break;
		case 'v': Frequency += 200000; break;
		case 'l': Frequency += 300000; break;
		case 'r': Frequency += 400000; break;
	}
	return Frequency;
}